Bug 113275 - a new gnome-terminal tab will have a black background under certain conditions instead of white
a new gnome-terminal tab will have a black background under certain condition...
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vte (Show other bugs)
3.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-11 18:07 EST by Brad Smith
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-27 13:21:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Smith 2004-01-11 18:07:42 EST
Description of problem:

Gnome-terminal will create a new tab with the background color set to
black instead of the default white under certain circumstances.
Background color can be set using the "clear" command. The original
terminal tab will then experience problems (e.g. tab completion will
fail).

The black background occurs when (1) some text is entered into the
original terminal but enter is not pressed, and (2) the new tab is
created by right-click and select New Tab with the mouse. No problems
are observed if shift-ctrl-T is used.


Version-Release number of selected component (if applicable):
2.2.2

How reproducible:
Always.

Steps to Reproduce:
1. Open gnome-terminal
2. Type some text at prompt. do not hit enter key
3. Use right mouse key over the gnome-terminal window open the pop-up
menu.
4. click on New Tab
  
Actual results: 
The new tab has a black background (except where the prompt is 
displayed).


Expected results:
Background color should be what ever is set for the profile (e.g.
system default in my case, basically white).

Additional info:
Note. If the gnome-terminal window is used as a ssh shell on a remote
system, then this problem does not occur.
Comment 1 Warren Togami 2004-04-14 00:05:52 EDT
Can you please read Bug #100420.  Does that describe the behavior you
are seeing?
Comment 2 Brad Smith 2004-04-14 19:48:33 EDT
Yes. This is the same behaviour.

brad
Comment 3 Ray Strode [halfline] 2005-09-27 13:21:50 EDT
Hi Brad,

This problem will be resolved in the next release of Red Hat Enterprise Linux.
Red Hat does not currently plan to provide a resolution for this in a Red Hat
Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 

Note You need to log in before you can comment on or make changes to this bug.